import clr
clr.AddReference('Soti.Connect.SemanticEngine.Conversions')

from Soti.Connect.SemanticEngine.Conversions import Converter

print("Loading ToshibaZModeSensorTypeToGeneric Converter")

class ToshibaZModeSensorTypeToGeneric(Converter):
    def Execute(self, args):
        res = ""
        if args[0] == "Continuous media":
            res = "None"
        elif args[0] == "Non-continuous media web sensing":
            res = "Gap"
        elif args[0] == "Non-continuous media mark sensing":
            res = "Mark"
        return res




plugin = ToshibaZModeSensorTypeToGeneric("ToshibaZModeSensorTypeToGeneric")

store.AddConverter(plugin)